QGIS Application - Feature request #15090
Make the GDAL/OGR console call editable
2016-06-21 05:45 AM - Andre Joost

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 23032
Description

Using Raster -> Projections -> Warp, it is possible to edit the command line handed over to gdalwarp before executing with a small pencil
icon. With that, additional parameters can be set easily.

The Processing GDAL/OGR geoalgoritm Warp does not offer this ability.

| suggest to add the pencil to the processing form as well.

Related issues:
Duplicates QGIS Application - Feature request # 11323: Allow editing gdal com... Feedback 2014-10-04

History

#1 - 2016-06-21 10:17 AM - Alexander Bruy
- Resolution set to duplicate

- Status changed from Open to Rejected

#2 - 2018-02-27 08:28 PM - Brett Hankerson
- File Capture.PNG added

Andre Joost wrote:

Using Raster -> Projections -> Warp, it is possible to edit the command line handed over to gdalwarp before executing with a small pencil icon. With

that, additional parameters can be set easily.

The Processing GDAL/OGR geoalgoritm Warp does not offer this ability.

| suggest to add the pencil to the processing form as well.

This appears to be an issue in QGIS 3.0, there is no pencil in any dialogue box. Running 3.0.0 64-bit on Win 7

#3 - 2018-09-12 06:33 PM - Jonathan Ball
By removing the ability to edit the GDAL command, this is a retrograde step because many of the defaults that are set are not appropriate (eg forcing
output to Float32 when you are clipping an 8-bit raster. Instead of a simple tweak, we are now forced to use a commandline interface such as the Python

console or step out of QGIS altogether, just to tweak a command. This was a feature that many users relyed on and | can't understand why, if we had it
before, it is impossible to restore it for V3?

#4 - 2018-09-12 07:43 PM - Giovanni Manghi
- Description updated

Jonathan Ball wrote:

By removing the ability to edit the GDAL commanad, this is a retrograde step because many of the defaults that are set are not appropriate (eg forcing
output to Float32 when you are clipping an 8-bit raster. Instead of a simple tweak, we are now forced to use a commandline interface such as the
Python console or step out of QGIS altogether, just to tweak a command. This was a feature that many users relyed on and | can't understand why,
if we had it before, it is impossible to restore it for V3?

as far as | have understand is not obvious in the context of the Processing toolbox. One could think to resuscitate the GDAL tools plugin as a 3rd party
plugin for QGIS 3.
